## org.eclipse.jetty.servlet.api
Interface Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic, Registration.Dynamic, ServletRegistration.Dynamic

All Known Implementing Classes:
  FilterHolder.Registration, Holder.HolderRegistration, ServletHolder.Registration

    public interface Registration

Nested Class Summary
`static interface` `Registration.Dynamic`

Method Summary
`String` `getClassName()`
`String` `getInitParameter(String name)`
`Map<String,String>` `getInitParameters()`
`String` `getName()`
`boolean` `setInitParameter(String name, String value)`
`Set<String>` `setInitParameters(Map<String,String> initParameters)`

Method Detail

### getName

    String getName()

### getClassName

    String getClassName()

### setInitParameter

    boolean setInitParameter(String name,
                             String value)

### getInitParameter

    String getInitParameter(String name)

### setInitParameters

    Set<String> setInitParameters(Map<String,String> initParameters)

### getInitParameters

    Map<String,String> getInitParameters()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.